> This page is for Schema Service, version v3 (latest) (default).
> For other versions, use one of these documentation indexes:
> - v3 (latest) (default): https://autodesk.ferndocs.com/schema/schema-service/v3/llms.txt
> - v2: https://autodesk.ferndocs.com/schema/schema-service/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://autodesk.ferndocs.com/schema/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://autodesk.ferndocs.com/schema/_mcp/server.

# Delete a Tag Collection

DELETE https://developer-stg.api.autodesk.com/schema/v3/tag-collections/{tagCollectionId}

Deletes the specified Tag Collection.

Only Tag Collections that do not contain Tags or Tag Categories can be deleted.

You must have `admin` or `delete` access to the Tag Collection to delete a Tag Collection. For more information, see `Control Access </en/docs/schema/v3/developers_guide/basics/access/>`\_.

Reference: https://autodesk.ferndocs.com/schema/schema-service/api-reference/tags-api/tag-collections/delete-tag-vollection

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://developer-stg.api.autodesk.com/schema/v3` (The URL for Staging environment, default)
- `https://developer-dev.api.autodesk.com/schema/v3` (The URL for Development environment)
- `https://developer.api.autodesk.com/schema/v3` (The URL for Production environment)

## Request

### Path parameters

- `tagCollectionId` (string, required)

### Headers

- `Region` (enum, optional, default: US) — The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values: - ``US`` - (Default) All requests without a specified region header will be directed to the US region. - ``EMEA`` - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header "region: EMEA" in your API requests.
  - Allowed values: `US`, `EMEA`

## Errors

### 400 Bad Request Error

The Autodesk Schema Registry was not able to decipher your request. Check the request body for malformed request syntax or invalid request message framing before you try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 401 Unauthorized Error

The request did not have a valid access token. Obtain a fresh access token and try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 403 Forbidden Error

You do not have permission to perform the operation specified by the request. Contact your LIBRARY_ADMIN and resolve any permission issues before trying this request again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 404 Not Found Error

The requested resource was not found. Verify that the details of the resource you requested are correct before you try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 429 Too Many Requests Error

You have exceeded the Rate Limit for the requested resource. Check the ``retry-after`` response header and send the request again, after the specified time period has elapsed.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

## Types

### ErrorDetail

Error response model according to the APS standard

- `type` (string, optional) — Specifies the type of the error that occured.
- `title` (string, optional) — Contains a summary of the error.
- `detail` (string, optional) — Contains a detailed description of the error that occured, and sometimes, tips on how to fix the error.

## Examples

**SDK Code**

```python
import requests

url = "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```